java.awt.dnd

## Interface DragGestureListener

- All Superinterfaces:
    EventListener

      public interface DragGestureListener
      extends EventListener

  This interface is sourced from a `DragGestureRecognizer` and is invoked when an object of that (sub)class detects a drag initiating gesture.

  The implementor of this interface is responsible for starting the drag as a result of receiving such notification.

  See Also:
    `DragGestureRecognizer`, `DragGestureEvent`, `DragSource`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragGestureRecognized(DragGestureEvent dge)` A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

- - ### Method Detail

    - #### dragGestureRecognized

          void dragGestureRecognized(DragGestureEvent dge)

      A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

      Parameters:
        `dge` - the `DragGestureEvent` describing the gesture that has just occurred

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.